package cpcns.common.controller;

import cpcns.base.common.AppContextUtils;
import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.danganzhengli.mdb_wenjian.service.MDBWenJianService;
import cpcns.danganzhengli.mdb_wenjian.utils.ZipUtils;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.service.IXiTongDaiMaService;
import cpcns.utils.CommStatic;
import cpcns.utils.FtpConfig;
import cpcns.utils.FtpUtil;
import cpcns.utils.PagerVO;
import cpcns.utils.StringUtil;
import cpcns.utils.TifToPdf;
import cpcns.wenjianshouji.util.FileUtil;
import java.io.File;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.multipart.commons.CommonsMultipartResolver;

@Controller
@RequestMapping({"/mdbGPImport"})
public class mdbGPContronller extends commonController {

   public static String FILE_UPLOAD_PATH = AppConfiguration.getConfigValue("OAUploadPath");
   public static String FILE_STORE_PATH = AppConfiguration.getConfigValue("OACaiJiPath");
   private SessionFactory sessionFactory;
   @Autowired
   private ICommonService commonService;
   @Autowired
   private MDBWenJianService mdbWenJianService;


   public static void main(String[] args) {
   }

   public Connection getORACLEConnection() {
      Connection conn = null;

      try {
         Class.forName("oracle.jdbc.driver.OracleDriver");
      } catch (ClassNotFoundException var9) {
         var9.printStackTrace();
      }

      String DBDRIVER = "";
      String IP = "";
      String user = "";
      String mima = "";
      List list = this.commonService.getList("select databaseurl,databasedriver,yonghumingcheng,yonghumima from s_manage where hangBiaoShi=4");
      if(list != null && list.size() > 0) {
         Object[] e = (Object[])list.get(0);
         IP = e[0].toString();
         DBDRIVER = e[1].toString();
         user = e[2].toString();
         mima = e[3].toString();
      }

      IP = this.getXiTongDaiMaByMingCheng("23219", 2, IP);
      DBDRIVER = this.getXiTongDaiMaByMingCheng("23215", 2, DBDRIVER);

      try {
         conn = CommStatic.getConnection_(DBDRIVER, IP, user, mima);
      } catch (Exception var8) {
         var8.printStackTrace();
         System.out.println("链接数据库未成功！mdbGpcontroller105行！");
      }

      return conn;
   }

   public String getXiTongDaiMaByMingCheng(String fbs, int leixing, String zfdm) {
      List list = null;
      list = CommStatic.getXiTongDaiMaByFuJieDianBiaoShi(Integer.valueOf(fbs).intValue());
      if(list == null || list.size() <= 0) {
         IXiTongDaiMaService mc = (IXiTongDaiMaService)AppContextUtils.getBean("xiTongDaiMaService");
         list = mc.getXiTongDaiMaByFuJieDianBiaoShi(Integer.valueOf(fbs).intValue());
      }

      String var9 = "";
      int si = list.size();
      if(list != null && si > 0) {
         for(int i = 0; i < si; ++i) {
            XiTongDaiMa xtdm = (XiTongDaiMa)list.get(i);
            if(leixing == 1) {
               if(zfdm.equals(xtdm.getZhengXingDaiMa())) {
                  var9 = xtdm.getMingCheng();
               }
            } else if(zfdm.equals(xtdm.getZiFuDaiMa())) {
               var9 = xtdm.getMingCheng();
            }
         }
      }

      return var9;
   }

   @RequestMapping({"/toimports.do"})
   public String toMdbImport() {
      return "danganzhengli/D_WenJian/importData";
   }

   @RequestMapping({"/importMessage.do"})
   public String importMessage(HttpServletRequest request, HttpServletResponse response, Model model) {
      String guiDangNianDu = this.getRequest().getParameter("guiDangNianDu");
      String baoGuanQiXian = this.getRequest().getParameter("baoGuanQiXian");
      String nd = this.getRequest().getParameter("nd");
      model.addAttribute("guiDangNianDu", guiDangNianDu);
      model.addAttribute("baoGuanQiXian", baoGuanQiXian);
      model.addAttribute("nd", nd);
      return "danganzhengli/D_WenJian/importMessage";
   }

   @RequestMapping({"/tolist.do"})
   public String query() {
      return "danganzhengli/D_WenJian/MDB_WenJian_list";
   }

   @RequestMapping({"/getAll.do"})
   public String getAll(HttpServletRequest request, HttpServletResponse response, Model model) {
      try {
         Enumeration e = this.getRequest().getParameterNames();
         JSONObject jsonObject = new JSONObject();
         Enumeration user = e;

         String key;
         while(user.hasMoreElements()) {
            String sqlWhere = user.nextElement().toString();
            key = this.getRequest().getParameter(sqlWhere);
            jsonObject.put(sqlWhere, key);
         }

         User user1 = this.getCurrentUser();
         StringBuffer sqlWhere1 = new StringBuffer();
         Iterator iterator = jsonObject.keys();
         StringBuffer sqlSearch = new StringBuffer();
         sqlSearch.append(" 1=1 ");

         String page;
         while(iterator.hasNext()) {
            key = (String)iterator.next();
            String value = jsonObject.getString(key);
            if(value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !key.equals("nd") && !"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key)) {
               if(key.equals("guiDangNianDu")) {
                  page = this.getRequest().getParameter("nd");
                  if(StringUtils.isNotBlank(page)) {
                     sqlWhere1.append(" and ").append(key).append(" ").append(page).append("\'").append(value).append("\'");
                  } else {
                     sqlWhere1.append(" and ").append(key).append(" = \'").append(value).append("\'");
                  }
               } else {
                  sqlWhere1.append(" and ").append(key).append(" = \'").append(value).append("\'");
               }
            }
         }

         if(sqlWhere1.length() > 0) {
            sqlSearch.append(sqlWhere1.toString());
         }

         page = request.getParameter("page");
         String rows = request.getParameter("rows");
         model.addAttribute("page", page);
         model.addAttribute("rows", rows);
         int intPage = Integer.parseInt(page != null && page != "0"?page:"0");
         int number = Integer.parseInt(rows != null && rows != "0"?rows:"0");
         int start = (intPage - 1) * number;
         StringBuffer sql = new StringBuffer("select hangBiaoShi,xuHao,guanLianBiaoShi,yeShu,fenShu,biaoTi,dangHao,wenHao,miJi,chengWenRiQi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,guiDangLeiXing,youYuanWen,wenZhong,fenLeiMingCheng,zhuangTai,laiYuanMingCheng from MDB_WenJian where ");
         PagerVO pagevo = this.mdbWenJianService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "dengJiShiJian"), "MDB_WenJian");
         String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
         jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("XUHAO", "xuHao").replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi").replaceAll("YESHU", "yeShu").replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao").replaceAll("WENHAO", "wenHao").replaceAll("MIJI", "miJi").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng").replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng").replaceAll("GUIDANGBUMENBIAOSHI", "guiDangBuMenBiaoShi").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("FENSHU", "fenShu").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("GUIDANGLEIXING", "guiDangLeiXing").replaceAll("YOUYUANWEN", "youYuanWen").replaceAll("WENZHONG", "wenZhong").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("LAIYUANMINGCHENG", "laiYuanMingCheng");
         this.write(response, jsonString);
      } catch (Exception var20) {
         var20.printStackTrace();
      }

      return null;
   }

   @RequestMapping({"/acceptShelves.do"})
   @ResponseBody
   public void acceptShelves(HttpServletRequest request, HttpServletResponse response) throws UnsupportedEncodingException {
      request.setCharacterEncoding("utf-8");
      String filePath = URLDecoder.decode(request.getParameter("filePath"));
      ResultMessage rm = new ResultMessage();
      boolean msg = false;
      String fileName = "is_archive.mdb";
      String info = "";
      File mdbFile = new File(filePath + File.separator + fileName);
      String filePaths = filePath.substring(0, filePath.lastIndexOf(File.separator)) + File.separator + "files";
      boolean count = false;
      if(mdbFile.exists()) {
         int count1 = this.parsingMdb(filePaths, filePath + File.separator + fileName);
         if(count1 > 0) {
            msg = true;
            info = "导入成功，本次导入条目总数是" + count1 + "条";
         } else {
            info = "导入失败";
         }
      }

      rm.setSuccess(msg);
      rm.setInfo(info);
      super.responseWriter(response, rm.toString());
   }

   public int parsingMdb(String filePath, String mdbPath) {
      int msg = 0;
      Connection oracle_conn = this.getORACLEConnection();
      Statement wjoracle_stmt = null;
      Statement fjoracle_stmt = null;
      Statement delwjoracle_stmt = null;
      Statement delfjoracle_stmt = null;
      Connection c = null;
      Statement s = null;
      Statement count = null;

      try {
         wjoracle_stmt = oracle_conn.createStatement();
         fjoracle_stmt = oracle_conn.createStatement();
         delwjoracle_stmt = oracle_conn.createStatement();
         delfjoracle_stmt = oracle_conn.createStatement();
         String e = "delete from MDB_WenJian ";
         String delwenjianfujian = "delete from MDB_WenJianFuJian ";
         delfjoracle_stmt.executeUpdate(delwenjianfujian);
         delwjoracle_stmt.executeUpdate(e);
         String wjsql_ = "select max(HANGBIAOSHI) HANGBIAOSHI from MDB_WENJIAN";
         int wjhbs = getHangBiaoShi(oracle_conn, wjsql_).intValue();
         String fjsql_ = "select max(HANGBIAOSHI) HANGBIAOSHI from MDB_WENJIANFUJIAN";
         int jfhbs = getHangBiaoShi(oracle_conn, fjsql_).intValue();
         Class.forName("com.hxtt.sql.access.AccessDriver");
         c = DriverManager.getConnection("jdbc:Access:///" + mdbPath);
         count = c.createStatement();

         for(ResultSet rs = count.executeQuery("SELECT count(recid) geshu FROM archive_description_jh "); rs.next(); msg = Integer.parseInt(rs.getString("geshu"))) {
            ;
         }

         s = c.createStatement();
         ResultSet r = s.executeQuery("SELECT recid,archive_no,maintitle,created_date,doc_no,fonds_no,filing_year,retention,piece_no,quantity,responsibleby,sbt_word FROM archive_description_jh order by piece_no asc");

         while(r.next()) {
            wjhbs += 4;
            byte[] dh = (byte[])null;
            String danghao = "";
            dh = r.getBytes(2);
            String DangHao = "";
            if(dh != null) {
               DangHao = formatData(new String(dh, "gbk"));
               danghao = this.formatDangHao(new String(dh, "gbk"));
            }

            byte[] bt = (byte[])null;
            String biaoti = "";
            bt = r.getBytes(3);
            if(bt != null) {
               biaoti = formatData(new String(bt, "gbk"));
               biaoti = biaoti.replaceAll("\'", "").trim();
            }

            byte[] rq = (byte[])null;
            String beiZhu = "";
            rq = r.getBytes(4);
            String rq_ = "";
            String chengwenriqi = "";
            if(rq != null) {
               rq_ = new String(rq, "gbk");
               System.out.println("源日期======================" + rq_);
               if("201307011".equals(rq_)) {
                  System.out.println("日期=" + chengwenriqi);
               }

               chengwenriqi = rq_;
               if(!isDate(rq_)) {
                  beiZhu = "日期有问题：" + rq_;
                  chengwenriqi = "";
               }
            }

            System.out.println("日期=" + chengwenriqi);
            byte[] wh = (byte[])null;
            String wenhao = "";
            wh = r.getBytes(5);
            if(wh != null) {
               wenhao = formatData(new String(wh, "gbk"));
            }

            byte[] qzh = (byte[])null;
            String quanzonghao = "";
            qzh = r.getBytes(6);
            if(qzh != null) {
               quanzonghao = formatData(new String(qzh, "gbk"));
            }

            String lijuandanweimingcheng = "";
            if(quanzonghao != "") {
               String nd = "select MINGCHENG from G_QUANZONGWEIHU where QUANZONGHAO = \'" + quanzonghao + "\'";
               lijuandanweimingcheng = getDanWeiMingCheng(oracle_conn, nd);
            }

            byte[] var86 = (byte[])null;
            String niandu = "";
            Integer guidangniandu = Integer.valueOf(0);
            var86 = r.getBytes(7);
            if(var86 != null) {
               niandu = formatData(new String(var86, "gbk"));
               guidangniandu = Integer.valueOf(Integer.parseInt(niandu));
            }

            byte[] bgqx = (byte[])null;
            String baoguanqixian = "";
            bgqx = r.getBytes(8);
            if(bgqx != null) {
               baoguanqixian = formatBGQX(new String(bgqx, "gbk"));
            }

            byte[] xh = (byte[])null;
            String xuhao = "";
            Integer xuHao = Integer.valueOf(0);
            xh = r.getBytes(9);
            if(xh != null) {
               xuhao = formatData(new String(xh, "gbk"));
               xuHao = Integer.valueOf(Integer.parseInt(xuhao));
            }

            byte[] ys = (byte[])null;
            String yeshu = "0";
            Integer yeShu = Integer.valueOf(0);
            ys = r.getBytes(10);
            if(ys != null) {
               yeshu = formatData(new String(ys, "gbk"));
               yeShu = Integer.valueOf(Integer.parseInt(yeshu));
            }

            byte[] zrz = (byte[])null;
            String zerenzhe = "";
            zrz = r.getBytes(11);
            if(zrz != null) {
               zerenzhe = formatData(new String(zrz, "gbk"));
            }

            byte[] gjz = (byte[])null;
            String guanjianci = "";
            gjz = r.getBytes(12);
            if(gjz != null) {
               guanjianci = formatData(new String(gjz, "gbk"));
            }

            byte[] recid = (byte[])null;
            String beiyongzifu = "";
            recid = r.getBytes(1);
            if(recid != null) {
               beiyongzifu = formatData(new String(recid, "gbk"));
            }

            String lishishujusql_ = "select  HANGBIAOSHI from D_WENJIAN where DANGHAO = \'" + DangHao + "\' and BIAOTI = \'" + biaoti + "\' and BAOGUANQIXIAN= \'" + baoguanqixian + "\'";
            int lishishujuhbs = getHangBiaoShi(oracle_conn, lishishujusql_).intValue();
            System.out.println("是否文件重复=" + lishishujusql_.toString());
            byte zhuangTai = 0;
            if(lishishujuhbs > 4) {
               zhuangTai = 1;
            }

            byte youyuanwen = 0;
            if(StringUtils.isNotBlank(beiyongzifu)) {
               String addwj = "SELECT file_id ,page_no,file_type,file_loc,rec_id,file_name FROM is_files where tble_name=\'archive_description_jh\' and rec_id = \'" + beiyongzifu + "\' order by page_no";
               ResultSet fj = c.createStatement().executeQuery(addwj);
               String fuJianLuJing = StringUtil.dealBasePath(quanzonghao + File.separator + guidangniandu + File.separator + "XWS" + File.separator + bgqx + File.separator + danghao + File.separator);
               int fujianxuhao = 0;

               while(fj.next()) {
                  jfhbs += 4;
                  ++fujianxuhao;
                  byte[] fjgs = (byte[])null;
                  String fujiangeshi = "";
                  fjgs = fj.getBytes(3);
                  if(fjgs != null) {
                     fujiangeshi = formatData(new String(fjgs, "gbk"));
                  }

                  byte[] fjmc = (byte[])null;
                  String fujianmingcheng = "";
                  fjmc = fj.getBytes(1);
                  if(fjmc != null) {
                     fujianmingcheng = formatData(new String(fjmc, "gbk"));
                  }

                  byte[] lj = (byte[])null;
                  String fujianlujing = "";
                  lj = fj.getBytes(4);
                  if(lj != null) {
                     fujianlujing = formatData(new String(lj, "gbk"));
                  }

                  byte[] fjys = (byte[])null;
                  String fujianyeshu = "";
                  Integer fjyeshu = Integer.valueOf(0);
                  fjys = fj.getBytes(2);
                  if(ys != null) {
                     fujianyeshu = formatData(new String(fjys));
                     fjyeshu = Integer.valueOf(Integer.parseInt(fujianyeshu));
                  }

                  byte[] ywjm = (byte[])null;
                  String yuanfujianmingcheng = "";
                  ywjm = fj.getBytes(6);
                  if(ywjm != null) {
                     yuanfujianmingcheng = formatData(new String(ywjm, "gbk"));
                     if(yuanfujianmingcheng.lastIndexOf("pdf") < 1 && yuanfujianmingcheng.lastIndexOf("PDF") < 1) {
                        yuanfujianmingcheng = yuanfujianmingcheng.substring(0, yuanfujianmingcheng.indexOf(".") + 1) + fujiangeshi;
                     }
                  }

                  if(StringUtils.isNotBlank(fujianlujing) && (fujiangeshi.equals("tif") || fujiangeshi.equals("pdf") || fujiangeshi.equals("PDF"))) {
                     String jisuanjiwenjianming = danghao + "_" + fujianxuhao + ".pdf";
                     if(!fujiangeshi.equals("tif")) {
                        jisuanjiwenjianming = danghao + "_" + fujianxuhao + "." + fujiangeshi;
                     }

                     byte fujianleixing = 0;
                     if(fujianxuhao == 1) {
                        fujianleixing = 1;
                     }

                     String yuanWenJianLuJing = filePath + fujianlujing + fujianmingcheng + "." + fujiangeshi;
                     (new StringBuilder(String.valueOf(fuJianLuJing))).append(jisuanjiwenjianming).toString();
                     String cunfanglujing = quanzonghao + File.separator + guidangniandu + File.separator + "XWS" + File.separator + bgqx + File.separator + danghao + File.separator;
                     StringBuffer addfj = (new StringBuffer(" INSERT INTO MDB_WENJIANFUJIAN (HANGBIAOSHI,GUANLIANBIAOSHI,BIAOTI,BEIYONGZIFU,CHENGWENRIQI,CIXU,FUJIANLEIXING,")).append("JISUANJIWENJIANMING,YUANWENJIANMING,WENJIANGESHI,SAOMIAOSECAIMOSHI,TUXIANGYASUOFANGAN,YESHU,FUJIANLAIYUAN,JINJICHENGDU,cunfanglujing,").append("BEIYONGZI,CHANGQIBAOCUNBIAOSHI,SUOYINZHUANGTAI)VALUES (").append(jfhbs).append(",").append(wjhbs).append(",\'").append(biaoti).append("\',\'").append(yuanWenJianLuJing);
                     if(StringUtils.isNotBlank(chengwenriqi)) {
                        addfj.append("\',to_date(\'").append(chengwenriqi).append("\',\'YYYY-MM-DD\'),");
                     } else {
                        addfj.append("\',\'\',");
                     }

                     addfj.append(fujianxuhao).append(",").append(fujianleixing).append(",\'").append(jisuanjiwenjianming).append("\',\'").append(yuanfujianmingcheng).append("\',\'").append(fujiangeshi).append("\',0,0,").append(yeshu).append(",0,0,\'").append(filePath).append("\',1,1,0").append(")");
                     System.out.println("文件附件=" + addfj.toString());
                     fjoracle_stmt.executeUpdate(addfj.toString());
                  }
               }

               System.out.println("附件总个数=" + fujianxuhao);
            }

            StringBuffer var87 = (new StringBuffer(" INSERT INTO MDB_WENJIAN (HANGBIAOSHI,DANGHAO,XUHAO,WENHAO,ZERENZHE,BIAOTI,")).append("YESHU,DENGJISHIJIAN,CHENGWENRIQI,GUIDANGNIANDU,BAOGUANQIXIAN,QUANZONGHAO,").append("FENSHU,GUIDANGLEIXING,SHUJULAIYUAN,SIXINGJIANCHABIAOSHI,YOUYUANWEN,KAIFANGZHUANGTAI,JIEYUEZHUANGTAI,").append("MENLEI,ZHUANGTAI,LIJUANDANWEIMINGCHENG,GUANJIANCI,BEIZHU)VALUES (").append(wjhbs).append(",\'").append(DangHao).append("\',").append(xuhao).append(",\'").append(wenhao).append("\',\'").append(zerenzhe).append("\',\'").append(biaoti).append("\',").append(yeshu);
            if(StringUtils.isNotBlank(chengwenriqi)) {
               var87.append(",to_date(\'").append(chengwenriqi).append("\',\'YYYY-MM-DD\'),").append("to_date(\'").append(chengwenriqi).append("\',\'YYYY-MM-DD\'),");
            } else {
               var87.append(",\'\',\'\',");
            }

            var87.append(guidangniandu).append(",\'").append(baoguanqixian).append("\',\'").append(quanzonghao).append("\',1,2,3,\'0|0|0|0\',").append(youyuanwen).append(",0,0,\'XWS\',").append(zhuangTai).append(",").append("\'").append(lijuandanweimingcheng).append("\',\'").append(guanjianci).append("\',\'").append(beiZhu).append("\')");
            System.out.println("文件=" + var87.toString());
            wjoracle_stmt.executeUpdate(var87.toString());
         }
      } catch (Exception var84) {
         msg = 0;
         var84.printStackTrace();
      } finally {
         try {
            wjoracle_stmt.close();
            fjoracle_stmt.close();
            delwjoracle_stmt.close();
            delfjoracle_stmt.close();
            s.close();
            c.close();
            count.close();
            oracle_conn.close();
         } catch (SQLException var83) {
            var83.printStackTrace();
         }

      }

      return msg;
   }

   @RequestMapping({"/importDate.do"})
   @ResponseBody
   public void importDate(HttpServletRequest request, HttpServletResponse response) {
      String msg = "false";
      Connection oracle_conn = this.getORACLEConnection();
      Statement delwjoracle_stmt = null;
      Statement delfjoracle_stmt = null;
      Statement upwjoracle_stmt = null;
      Statement upfjoracle_stmt = null;
      String gdnd = request.getParameter("guiDangNianDu");
      String bgqx = request.getParameter("baoGuanQiXian");
      String nd = request.getParameter("nd");
      StringBuffer wjsql = new StringBuffer("SELECT hangBiaoShi,dangHao,biaoTi,chengWenRiQi,wenHao,quanZongHao,guiDangNianDu,baoGuanQiXian,xuHao,yeShu,zeRenZhe,guanJianCi,beiZhu,zhuangTai,liJuanDanWeiMingCheng FROM MDB_WenJian where 1=1 ");
      if(StringUtils.isNotBlank(gdnd)) {
         if(StringUtils.isNotBlank(nd)) {
            wjsql.append(" and guiDangNianDu").append(nd).append(gdnd);
         } else {
            wjsql.append(" and guiDangNianDu=").append(gdnd);
         }
      }

      if(StringUtils.isNotBlank(bgqx)) {
         wjsql.append(" and baoGuanQiXian=\'").append(bgqx).append("\'");
      }

      String check = request.getParameter("check");
      User user = this.getCurrentUser();

      try {
         Statement e = oracle_conn.createStatement(1004, 1008);
         Statement fjoracle_stmt = oracle_conn.createStatement(1004, 1008);
         Statement addwjoracle_stmt = oracle_conn.createStatement();
         Statement addfjoracle_stmt = oracle_conn.createStatement();
         delfjoracle_stmt = oracle_conn.createStatement();
         delwjoracle_stmt = oracle_conn.createStatement();
         upwjoracle_stmt = oracle_conn.createStatement();
         upfjoracle_stmt = oracle_conn.createStatement();
         ResultSet wjsql_rs = e.executeQuery(wjsql.toString());
         String wjsql_ = "select max(HANGBIAOSHI) HANGBIAOSHI from D_WENJIAN";
         int wjhbs = getHangBiaoShi(oracle_conn, wjsql_).intValue();
         String fjsql_ = "select max(HANGBIAOSHI) HANGBIAOSHI from D_WENJIANFUJIAN";
         int jfhbs = getHangBiaoShi(oracle_conn, fjsql_).intValue();
         byte youyuanwen = 0;

         String upwenjian;
         String upwenjianfujian;
         while(wjsql_rs.next()) {
            upwenjian = formatData(wjsql_rs.getString("hangBiaoShi"));
            upwenjianfujian = formatData(wjsql_rs.getString("dangHao"));
            String biaoTi = formatData(wjsql_rs.getString("biaoTi"));
            String chengWenRiQi = formatData(wjsql_rs.getString("chengWenRiQi"));
            String wenHao = formatData(wjsql_rs.getString("wenHao"));
            String quanZongHao = formatData(wjsql_rs.getString("quanZongHao"));
            String guidangniandu = formatData(wjsql_rs.getString("guiDangNianDu"));
            String baoGuanQiXian = formatData(wjsql_rs.getString("baoGuanQiXian"));
            String zhuangTai = formatData(wjsql_rs.getString("zhuangTai"));
            String xuhao;
            if(zhuangTai.equals("1")) {
               if(check.equals("1")) {
                  String guiDangNianDu = "delete from D_WenJian where DANGHAO = \'" + upwenjianfujian + "\' and BIAOTI = \'" + biaoTi + "\' and BAOGUANQIXIAN= \'" + baoGuanQiXian + "\'";
                  xuhao = "delete from D_WenJianFuJian where guanLianBiaoShi in (select hangBiaoShi from D_WenJian where DANGHAO = \'" + upwenjianfujian + "\' and BIAOTI = \'" + biaoTi + "\' and BAOGUANQIXIAN= \'" + baoGuanQiXian + "\')";
                  delfjoracle_stmt.executeUpdate(xuhao);
                  delwjoracle_stmt.executeUpdate(guiDangNianDu);
               } else if(check.equals("0")) {
                  continue;
               }
            }

            wjhbs += 4;
            int guiDangNianDu1 = 0;
            if(StringUtils.isNotBlank(guidangniandu)) {
               guiDangNianDu1 = Integer.parseInt(guidangniandu);
            }

            xuhao = formatData(wjsql_rs.getString("xuHao"));
            boolean xuHao = false;
            if(StringUtils.isNotBlank(xuhao)) {
               int xuHao1 = Integer.parseInt(xuhao);
            }

            String yeshu = formatData(wjsql_rs.getString("yeShu"));
            boolean yeShu = false;
            if(StringUtils.isNotBlank(yeshu)) {
               int yeShu1 = Integer.parseInt(yeshu);
            }

            String zeRenZhe = formatData(wjsql_rs.getString("zeRenZhe"));
            String guanJianCi = formatData(wjsql_rs.getString("guanJianCi"));
            String beiZhu = formatData(wjsql_rs.getString("beiZhu"));
            String liJuanDanWeiMingCheng = formatData(wjsql_rs.getString("liJuanDanWeiMingCheng"));
            if(StringUtils.isNoneBlank(new CharSequence[]{upwenjian})) {
               String addwj = "SELECT ciXu ,jiSuanJiWenJianMing,yuanWenJianMing,wenJianGeShi,yeShu,fuJianLeiXing,beiYongZiFu,cunFangLuJing FROM MDB_WenJianFuJian where guanLianBiaoShi =  " + upwenjian;
               ResultSet fjsql_rs = fjoracle_stmt.executeQuery(addwj);
               String dangHao_ = this.formatDangHao(upwenjianfujian);
               String fuJianLuJing = StringUtil.dealBasePath(quanZongHao + File.separator + guidangniandu + File.separator + "XWS" + File.separator + baoGuanQiXian + File.separator + dangHao_ + File.separator);

               while(fjsql_rs.next()) {
                  jfhbs += 4;
                  String cixu = formatData(fjsql_rs.getString("ciXu"));
                  int ciXu = 0;
                  if(StringUtils.isNotBlank(cixu)) {
                     ciXu = Integer.parseInt(cixu);
                  }

                  String jiSuanJiWenJianMing = formatData(fjsql_rs.getString("jiSuanJiWenJianMing"));
                  String yuanWenJianMing = formatData(fjsql_rs.getString("yuanWenJianMing"));
                  String wenJianGeShi = formatData(fjsql_rs.getString("wenJianGeShi"));
                  String fjyeshu = formatData(fjsql_rs.getString("yeShu"));
                  String fuJianLeiXing = formatData(fjsql_rs.getString("fuJianLeiXing"));
                  String cunFangLuJing = formatData(fjsql_rs.getString("cunFangLuJing"));
                  int fuJianYeShu = 0;
                  if(StringUtils.isNotBlank(fjyeshu)) {
                     fuJianYeShu = Integer.parseInt(fjyeshu);
                  }

                  String yuanWenJianLuJing = StringUtil.dealBasePath(formatData(fjsql_rs.getString("beiYongZiFu")));
                  if(wenJianGeShi.equals("tif") || wenJianGeShi.equals("pdf") || wenJianGeShi.equals("PDF")) {
                     (new StringBuilder(String.valueOf(fuJianLuJing))).append(jiSuanJiWenJianMing).toString();
                     StringBuffer addfj = (new StringBuffer(" INSERT INTO D_WENJIANFUJIAN (HANGBIAOSHI,GUANLIANBIAOSHI,BIAOTI,BEIYONGZIFU,CHENGWENRIQI,CIXU,FUJIANLEIXING,")).append("JISUANJIWENJIANMING,YUANWENJIANMING,WENJIANGESHI,SAOMIAOSECAIMOSHI,TUXIANGYASUOFANGAN,YESHU,FUJIANLAIYUAN,JINJICHENGDU,cunfanglujing,").append("BEIYONGZI,CHANGQIBAOCUNBIAOSHI,SUOYINZHUANGTAI)VALUES (").append(jfhbs).append(",").append(wjhbs).append(",\'").append(biaoTi).append("\',\'").append(fuJianLuJing + jiSuanJiWenJianMing);
                     if(StringUtils.isNotBlank(chengWenRiQi)) {
                        addfj.append("\',to_date(\'").append(chengWenRiQi).append("\',\'YYYY-MM-DD HH24:MI:SS\'),");
                     } else {
                        addfj.append("\',null,");
                     }

                     addfj.append(ciXu).append(",").append(fuJianLeiXing).append(",\'").append(jiSuanJiWenJianMing).append("\',\'").append(yuanWenJianMing).append("\',\'").append("pdf").append("\',0,0,").append(fuJianYeShu).append(",0,0,\'").append(fuJianLuJing).append("\',1,1,0").append(")");
                     System.out.println("ftp_Path=" + fuJianLuJing);
                     String fjlj = StringUtil.dealBasePath(fuJianLuJing.replaceAll("·", "-"));
                     String jsjwjm = jiSuanJiWenJianMing.replaceAll("·", "-");
                     String cflj = StringUtil.dealBasePath(cunFangLuJing.replaceAll("·", "-"));
                     String xtlx;
                     if(wenJianGeShi.equals("tif")) {
                        try {
                           xtlx = cflj + File.separator + jsjwjm;
                           TifToPdf.tifToPdf(yuanWenJianLuJing, xtlx);
                           this.uploadFtp(this.getFtpQuanZong(), fjlj, yuanWenJianLuJing, jsjwjm);
                           this.uploadFtp(this.getFtpQuanZong(), fjlj, xtlx, jsjwjm);
                           youyuanwen = 1;
                           addfjoracle_stmt.executeUpdate(addfj.toString());
                        } catch (Exception var64) {
                           var64.printStackTrace();
                        }
                     } else {
                        xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
                        String qzh = this.getFtpQuanZong();
                        this.uploadFtp(qzh, fjlj, yuanWenJianLuJing, jsjwjm);
                        youyuanwen = 1;
                        addfjoracle_stmt.executeUpdate(addfj.toString());
                     }
                  }
               }
            }

            StringBuffer addwj1 = (new StringBuffer(" INSERT INTO D_WENJIAN (HANGBIAOSHI,DANGHAO,XUHAO,WENHAO,ZERENZHE,BIAOTI,")).append("YESHU,DENGJISHIJIAN,CHENGWENRIQI,GUIDANGNIANDU,BAOGUANQIXIAN,QUANZONGHAO,").append("FENSHU,GUIDANGLEIXING,SHUJULAIYUAN,SIXINGJIANCHABIAOSHI,YOUYUANWEN,KAIFANGZHUANGTAI,JIEYUEZHUANGTAI,").append("MENLEI,GUANLIANBIAOSHI,ZHUANGTAI,LIJUANDANWEIMINGCHENG,GUANJIANCI)VALUES (").append(wjhbs).append(",\'").append(upwenjianfujian).append("\',").append(xuhao).append(",\'").append(wenHao).append("\',\'").append(zeRenZhe).append("\',\'").append(biaoTi).append("\',").append(yeshu);
            if(StringUtils.isNotBlank(chengWenRiQi)) {
               addwj1.append(",to_date(\'").append(chengWenRiQi).append("\',\'YYYY-MM-DD HH24:MI:SS\'),").append("to_date(\'").append(chengWenRiQi).append("\',\'YYYY-MM-DD HH24:MI:SS\'),");
            } else {
               addwj1.append(",null,").append("null,");
            }

            addwj1.append(guiDangNianDu1).append(",\'").append(baoGuanQiXian).append("\',\'").append(quanZongHao).append("\',1,2,3,\'0|0|0|0\',").append(youyuanwen).append(",0,0,\'XWS\',0,1,").append("\'").append(liJuanDanWeiMingCheng).append("\',\'").append(guanJianCi).append("\')");
            System.out.println(addwj1.toString());
            addwjoracle_stmt.executeUpdate(addwj1.toString());
            youyuanwen = 0;
         }

         upwenjian = "update G_BiaoLiuShuiHao set liuShuiHao = (select max(hangbiaoShi) from D_WenJian) where biaoMing = \'D_WENJIAN\'";
         upwenjianfujian = "update G_BiaoLiuShuiHao set liuShuiHao = (select max(hangbiaoShi) from D_WenJianFuJian) where biaoMing = \'D_WENJIANFUJIAN\'";
         upfjoracle_stmt.executeUpdate(upwenjianfujian);
         upwjoracle_stmt.executeUpdate(upwenjian);
         e.close();
         fjoracle_stmt.close();
         delwjoracle_stmt.close();
         delfjoracle_stmt.close();
         oracle_conn.close();
         msg = "success";
      } catch (Exception var65) {
         var65.printStackTrace();
      }

      super.responseWriter(response, msg);
   }

   private static Integer getHangBiaoShi(Connection con, String sql) {
      Integer hangBiaoShi = Integer.valueOf(4);

      try {
         Statement e = con.createStatement();
         ResultSet hres = e.executeQuery(sql);

         while(hres.next()) {
            String hbs = hres.getString("HANGBIAOSHI");
            if(StringUtils.isNoneBlank(new CharSequence[]{hbs})) {
               hangBiaoShi = Integer.valueOf(Integer.valueOf(hbs).intValue() + 4);
            }
         }

         e.close();
         hres.close();
      } catch (Exception var6) {
         var6.printStackTrace();
      }

      return hangBiaoShi;
   }

   private static String getDanWeiMingCheng(Connection con, String sql) {
      String mingcheng = "";

      try {
         Statement e = con.createStatement();
         ResultSet hres = e.executeQuery(sql);

         while(hres.next()) {
            String hbs = hres.getString("MINGCHENG");
            if(StringUtils.isNoneBlank(new CharSequence[]{hbs})) {
               mingcheng = hbs;
            }
         }

         e.close();
         hres.close();
      } catch (Exception var6) {
         var6.printStackTrace();
      }

      return mingcheng;
   }

   private static String formatData(String str) {
      String result = str;
      if(StringUtils.isBlank(str)) {
         result = "";
      }

      return result;
   }

   private static String formatBGQX(String gbqx) {
      String qx = "";
      if(StringUtils.isNoneBlank(new CharSequence[]{gbqx})) {
         if(gbqx.contains("永久")) {
            qx = "Y";
         } else if(gbqx.contains("30年")) {
            qx = "D30";
         } else if(gbqx.contains("10年")) {
            qx = "D10";
         } else if(gbqx.contains("长久")) {
            qx = "CY";
         } else if(gbqx.contains("定期")) {
            qx = "DQ";
         } else if(gbqx.contains("长期")) {
            qx = "CQ";
         } else {
            qx = "";
         }
      } else {
         qx = "";
      }

      return qx;
   }

   public String formatDangHao(String dangHao) {
      String danghao = dangHao.replaceAll("永久", "Y").replaceAll("30年", "D30").replaceAll("定期", "DQ").replaceAll("长久", "CY").replaceAll("10年", "D10").replaceAll("长期", "CQ");
      return danghao;
   }

   public String DangHaoFormat(String dangHao) {
      String danghao = dangHao.replaceAll("Y", "永久").replaceAll("D30", "30年").replaceAll("DQ", "定期").replaceAll("CY", "长久").replaceAll("D10", "10年").replaceAll("CQ", "长期");
      return danghao;
   }

   private static String formatriqi(String riqi) {
      String nian;
      String yue;
      if(riqi.length() == 4) {
         riqi = riqi + "0101";
         nian = riqi.substring(0, 4);
         yue = riqi.substring(4, 6);
         String y = riqi.substring(6, riqi.length());
         riqi = nian + "-" + yue + "-" + y;
      }

      String ri;
      int y1;
      if(riqi.length() == 6) {
         if(riqi.indexOf("-") > 0) {
            riqi = riqi + "-1";
         } else {
            riqi = riqi + "01";
            nian = riqi.substring(0, 4);
            yue = riqi.substring(4, 6);
            y1 = Integer.parseInt(yue);
            if(y1 == 0 || y1 > 12) {
               yue = "01";
            }

            ri = riqi.substring(6, riqi.length());
            riqi = nian + "-" + yue + "-" + ri;
         }
      }

      if(riqi.length() == 7) {
         if(riqi.indexOf("-") > 0) {
            riqi = riqi + "-1";
         } else {
            riqi = "";
         }
      }

      if(riqi.length() == 8 && riqi.indexOf("-") <= 0) {
         nian = riqi.substring(0, 4);
         yue = riqi.substring(4, 6);
         y1 = Integer.parseInt(yue);
         if(y1 == 0 || y1 > 12) {
            yue = "01";
         }

         ri = riqi.substring(6, riqi.length());
         int r = Integer.parseInt(ri);
         if(r == 0 || r > 12) {
            ri = "01";
         }

         riqi = nian + "-" + yue + "-" + ri;
      }

      if(riqi.length() > 8) {
         riqi = "";
      }

      return riqi;
   }

   private boolean uploadFtp(String quanZongHao, String muLu, String oldFile, String newFileName) {
      boolean ftp = false;
      FtpUtil ftpUtil = null;

      try {
         FtpConfig e = this.getFtpAccInfo(quanZongHao);
         ftpUtil = new FtpUtil();
         ftpUtil.connectServer(e);
         boolean b = ftpUtil.createMultiDirectory(muLu);
         if(b) {
            File file = new File(oldFile);
            if(file.exists()) {
               String newFile = new String(newFileName.getBytes("UTF-8"), "iso-8859-1");
               ftp = ftpUtil.uploadFile(oldFile, newFile);
            }
         }
      } catch (Exception var19) {
         var19.printStackTrace();
      } finally {
         try {
            ftpUtil.closeServer();
         } catch (IOException var18) {
            var18.printStackTrace();
         }

      }

      return ftp;
   }

   public static boolean isDate(String riqi) {
      Pattern pattern = Pattern.compile("^((\\d{2}(([02468][048])|([13579][26]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])))))|(\\d{2}(([02468][1235679])|([13579][01345789]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|(1[0-9])|(2[0-8]))))))(\\s(((0?[0-9])|([1-2][0-3]))\\:([0-5]?[0-9])((\\s)|(\\:([0-5]?[0-9])))))?$");
      Matcher m = pattern.matcher(riqi);
      if(m.matches() && riqi.length() == 8) {
         return true;
      } else {
         System.out.println("此日期格式有误");
         return false;
      }
   }

   public FtpConfig getFtpAccInfo(String quanZongHao) {
      String ftpsql = "select yongHuMing,yongHuMiMa,DUANKOU,FUWUQI from T_FTPCONFIG where quanZongHao=\'" + quanZongHao + "\'";
      List list = this.commonService.getList(ftpsql);
      FtpConfig config = new FtpConfig();
      if(list != null && list.size() > 0) {
         Object[] objects = (Object[])list.get(0);
         config.setUsername(objects[0].toString());
         config.setPassword(objects[1].toString());
         config.setPort((new Integer(objects[2].toString())).intValue());
         config.setServer(objects[3].toString());
      }

      return config;
   }

   public SessionFactory getSessionFactory() {
      return this.sessionFactory;
   }

   public void setSessionFactory(SessionFactory sessionFactory) {
      this.sessionFactory = sessionFactory;
   }

   @RequestMapping({"/remoteData.do"})
   public String remoteData() {
      return "danganzhengli/D_WenJian/html5UploadImport";
   }

   @RequestMapping({"/inprotZip.do"})
   @ResponseBody
   public void inprotZip(HttpServletRequest request, HttpServletResponse response) {
      ResultMessage rm = new ResultMessage();

      try {
         String e = null;
         String zipFilePath = null;
         CommonsMultipartResolver multipartResolver = new CommonsMultipartResolver(request.getSession().getServletContext());
         if(multipartResolver.isMultipart(request)) {
            MultipartHttpServletRequest deFileName = (MultipartHttpServletRequest)request;
            Iterator saveFileDir = deFileName.getFileNames();

            while(saveFileDir.hasNext()) {
               MultipartFile mdb = deFileName.getFile((String)saveFileDir.next());
               if(mdb != null) {
                  String msg = mdb.getOriginalFilename();
                  if(msg.trim() != "") {
                     e = FileUtil.createRandomFileName(".zip");
                     zipFilePath = FILE_UPLOAD_PATH + "/" + e;
                     File info = new File(zipFilePath);
                     mdb.transferTo(info);
                  }
               }
            }
         }

         String deFileName1 = e.substring(0, e.indexOf(".zip"));
         String saveFileDir1 = FILE_STORE_PATH + "/" + deFileName1;
         String mdb1 = ZipUtils.unZipFiles(zipFilePath, saveFileDir1);
         System.out.println(mdb1);
         boolean msg1 = false;
         String info1 = "";
         File mdbFile = new File(mdb1);
         String path = mdb1.substring(0, mdb1.lastIndexOf("/"));
         String filePaths = StringUtil.dealBasePath(mdb1.substring(0, path.lastIndexOf("/")) + File.separator + "files");
         boolean count = false;
         if(mdbFile.exists()) {
            int count1 = this.mdbWenJianService.parsingMdbNew(filePaths, mdb1);
            if(count1 > 0) {
               msg1 = true;
               info1 = "导入成功，本次导入条目总数是" + count1 + "条";
            } else {
               info1 = "导入失败";
            }
         }

         rm.setSuccess(msg1);
         rm.setInfo(info1);
      } catch (Exception var16) {
         System.out.println(var16.getMessage());
      }

      super.responseWriter(response, rm.toString());
   }
}
